Subject: Re: bug#3746: M-r in comint mode should use isearch

From: Juri Linkov <[email-masked]>
Date: Mon, 23 Nov 2009 22:39:51 +0200

>> Maybe we should change `comint-previous-input' and `comint-next-input'
>> to signal an error at the beginning/end of the history ring?
>
> That sounds fine to me, but pleast double check all uses of those
> functions to make sure it won't introduce other problems.

To avoid possible problems, I installed a non-intrusive implementation
that signals an error inside `comint-history-isearch-search' before
calling `comint-next-input' or `comint-previous-input'.

-- 
Juri Linkov
http://www.jurta.org/emacs/